=== debian/changelog ===
music123 (7) unstable; urgency=low
   
  * The lonely male geek release.
  * The version of GNAT changed, meaning the soname of libgnat changed.
  * Recompile to fix that, and add build-depends so build daemons don't
    have the problem. 

 -- David Starner <dvdeug@debian.org>  Mon, 11 Feb 2001 02:35:37 -0600

music123 (6) unstable; urgency=low

  * Remove misleading statement from changelog.
  * Fix build-depends.
  * Change maintainer from dstarner98@aasaa.ofe.org to dvdeug@debian.org.

 -- David Starner <dvdeug@debian.org>  Thu, 20 Dec 2001 22:56:37 -0600

music123 (5) unstable; urgency=low

  * I18N support added.
  * No other changes.

 -- David Starner <dvdeug@debian.org>  Tue, 11 Dec 2001 20:47:02 -0600

music123 (4) unstable; urgency=low

  * Manpage fix. (Closes: #115230).
  * No other changes.

 -- David Starner <dstarner98@aasaa.ofe.org>  Mon, 15 Oct 2001 13:29:24 -0500

music123 (3) unstable; urgency=low

  * Added information to the copyright file (Closes: #108771).
  * Random randomizes the file list better.
  * README fixes. (Closes: #110447).
  * Added -D (no delay) option. (Closes: #108772).
  * Added -l (loop) and -Z (random loop).
  * I18N changes put off until the next release.

 -- David Starner <dstarner98@aasaa.ofe.org>  Mon, 10 Sep 2001 18:12:02 -0500

music123 (2) unstable; urgency=low

  * Hopefully, _this_ one will be the first release into Debian.
  * Build-depends syntax is fixed. 
  * Much improved startup time in the worst case.
  * Dropped libgtkada-dev build-dependency.
  * Playlist capability

 -- David Starner <dstarner98@aasaa.ofe.org>  Tue, 31 Jul 2001 22:54:05 -0500

music123 (1) unstable; urgency=low

  * First release.

 -- David Starner <dstarner98@aasaa.ofe.org>  Tue, 31 Jul 2001 22:54:05 -0500
