=== debian/control ===
Source: music123
Section: sound
Priority: optional
Build-Depends: debmake, gnat (>= 3.14p-1), gettext
Maintainer: David Starner <dvdeug@debian.org>
Standards-Version: 3.2.1

Package: music123
Architecture: i386 sparc powerpc
Depends: ${shlibs:Depends}
Recommends: esound-clients, mpg321 | mpg123, vorbis-tools
Description: A command-line shell for sound-file players
 A command-line shell for programs like mpg123 and ogg123, music123
 plays a variety of sound files using a mpg123/ogg123-like interface.
 With all the Recommends installed, music123 plays wav, mp3 and 
 ogg files. By simply changing the config file, music123 can play any 
 sound file you have a player for.
