=== debian/changelog ===
music123 (14) unstable; urgency=low
  * The lovely lace release.
  * Added AMD64 to the architecture list. (Closes: #251586)
  * Add a comment about playing files with mplayer.
  * Except for the version number, the code and resulting assembly 
    (on ix86) is unchanged.

 -- David Starner <dvdeug@debian.org>  Sat, 12 Jun 2004 15:49:01 -0700

music123 (13) unstable; urgency=low
  * Light a candle release
  * Note that recent versions of vorbis-tools support Ogg Flac
    and Ogg Speex, too, and suggest them.
  * Add a note in README about music123 not handling sound; look in 
    ogg123 and mpg123 if the sound doesn't play. (Closes: #211917)
  * Fix the randomization function to use the algorithm from
    Knuth; I don't know that it works any better, but the placebo
    effect should work for, not against this one. (Closes: #184537)

 -- David Starner <dvdeug@debian.org>  Tue, 16 Dec 2003 02:47:55 -0800
 

music123 (12) unstable; urgency=low
  * Delete mips/mipsel from the architecture list, as
    gnat-* doesn't seem to exists over there.
  * Also remove gnat3.2 from build-depends.

 -- David Starner <dvdeug@debian.org>  Fri, 03 Oct 2003 11:45:34 -0700
   

music123 (11) unstable; urgency=low
  * The lost world release.
  * Since mips/mipsel can't build gnat3.3, accept gnat3.2.
 
 -- David Starner <dvdeug@debian.org>  Mon, 15 Sep 2003 02:33:38 -0700

music123 (10) unstable; urgency=low

  * The lost actress release.
  * The conffile had some entries with mixed case and some only
    in lower case. Changed all to include upper, title and lower
    case. Note this is a conffile change, and the program only
    recognizes the exact case given in the conffile. (Closes: #191741)
  * Update policy version and Build-Depends.
  * Upstream Author(s) is a compromise decision of the upstream 
    author(s).

 -- David Starner <dvdeug@debian.org>  Thu, 11 Sep 2003 23:45:38 -0700
 

music123 (9) unstable; urgency=low

  * The incompentent genius release.
  * Add a Polish translation which was sent to me in July.
    Thanks, Grzegorz "Konik" Kusnierz.
  * Correct various places where I thought I had updated
    the translation music123-8 release; sorry, Martin Quinson and
    Joost van Baal.

 -- David Starner <dvdeug@debian.org>  Thu, 19 Sep 2002 19:11:16 -0500
  

music123 (8) unstable; urgency=low

  * The quiet mathematician release.
  * Add delay option. (Closes: #139801)
  * Seperate out manpage.
  * Fix minor bug where -@ would include its argument in the file list.
  * If you speak a non-English language, music123 has less then 20 strings
    and a hundred line manpage, both of which can be translated. Please
    help.

 -- David Starner <dvdeug@debian.org>  Mon, 20 May 2002 00:14:19 -0500
