=== debian/control ===
Source: music123
Section: sound
Priority: optional
Build-Depends: debmake, gnat-3.3, gettext
Maintainer: David Starner <dvdeug@debian.org>
Standards-Version: 3.6.0

Package: music123
Architecture: alpha hppa i386 ia64 powerpc s390 sparc amd64
Depends: ${shlibs:Depends}
Recommends: esound-clients, mpg321 | mpg123, vorbis-tools
Suggests: vorbis-tools (<= 1.0.1)
Description: A command-line shell for sound-file players
 A command-line shell for programs like mpg123 and ogg123, music123
 plays a variety of sound files using a mpg123/ogg123-like interface.
 With all the Recommends installed, music123 plays wav, mp3 and 
 ogg files. By simply changing the config file, music123 can play any 
 sound file you have a player for.
 .
 (If you install a recent version of vorbis-tools, music123 will
 handle Ogg Flac and Ogg Speex files too.)
