## music123 15

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: music123
 Section: sound
 Priority: optional
-Build-Depends: debmake, gnat-3.3, gettext
-Maintainer: David Starner <dvdeug@debian.org>
-Standards-Version: 3.6.0
+Build-Depends: debhelper (>= 5), gnat-4.0, gettext
+Maintainer: Maxime ROBACHE <mrobache@linux.utc.fr> 
+Standards-Version: 3.6.2
 
 Package: music123
-Architecture: alpha hppa i386 ia64 powerpc s390 sparc amd64
+Architecture: alpha amd64 hppa i386 ia64 mips mipsel powerpc s390 sparc ppc64 kfreebsd-i386 kfreebsd-amd64
 Depends: ${shlibs:Depends}
 Recommends: esound-clients, mpg321 | mpg123, vorbis-tools
-Suggests: vorbis-tools (<= 1.0.1)
 Description: A command-line shell for sound-file players
  A command-line shell for programs like mpg123 and ogg123, music123
  plays a variety of sound files using a mpg123/ogg123-like interface.
