## music123 15-0.1

=== debian/changelog ===
music123 (15-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to gnat 4.1.  Closes: #376673.

 -- Matej Vela <vela@debian.org>  Wed, 12 Jul 2006 11:18:59 +0200

music123 (15) unstable; urgency=low

  * NMU New Maintainer: Maxime ROBACHE. Closes: #285163.
  * Man and program update concerning ~/.music123rc. Closes: #297716.
  * New architecture support : kfreebsd-amd64. Closes: #361625.

 -- Maxime ROBACHE <mrobache@linux.utc.fr>  Mon, 17 Apr 2006 22:20:00 +0000

music123 (14.2) unstable; urgency=medium

  * QA upload.
  * Switch to gnat 4.0.  Closes: #357296.
  * support_routines.adb: Fully qualify GNAT.IO_Aux.Get_Line to avoid
    ambiguity with Ada.Text_IO.Get_Line.
  * Switch to debhelper.
  * debian/copyright:
    - Update FSF address.
    - Fix GPL path.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Thu, 16 Mar 2006 22:37:36 +0100

music123 (14.1) unstable; urgency=low
  * NMU with maintainer permission. 
  * Orphaning the package.
  * Switch to gnat-3.4 as gnat-3.3 is not available anymore.
  * Added mips, mipsel, ppc64 and kfreebsd-i386 to the list of supported
    architectures (closes: bug#333014, bug#301104, bug#345064).
  * Remove suggestion of vorbis-tools as it is already in recommends.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Dec 2005 08:48:17 +0100
