=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: music123
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 5), gnat-4.0, gettext
+Build-Depends: debhelper (>= 5), gnat-4.1, gettext
 Maintainer: Maxime ROBACHE <mrobache@linux.utc.fr> 
 Standards-Version: 3.6.2
