=== debian/changelog ===
music123 (15-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Switch to gnat-4.3.  Closes: #485663.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 13 Sep 2008 16:14:19 +0200
