## music123 16.2

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,21 @@
 DESTDIR=/
 PREFIX=usr/local
 
+MAIN := music123
+
 GM=gnatmake
 
-all: music123 po-files
+all: $(MAIN) po-files
 
-music123: music123.adb support_routines.ads support_routines.adb ustring_list.ads vector.adb vector.ads intl.ads intl.adb
-	$(GM) -g -gnatf -O2 music123.adb
+.PHONY: $(MAIN)
+$(MAIN):
+	$(GM) -g -gnatf -gnatwa -gnaty -gnatwe -O2 $(MAIN)
 
 po-files:
 	cd po; ./Make.sh
+
+install_strip:install
+	strip $(DESTDIR)$(PREFIX)/bin/music123
 
 install: music123.1 music123
 	echo "To be used automatically only!"
@@ -17,7 +23,6 @@
 	sleep 5s
 	chmod 755 music123
 	chmod 644 music123.1 wavgzplay.sh wavgzplay.sh.1
-	strip music123
 	cp music123 wavgzplay.sh $(DESTDIR)$(PREFIX)/bin
 	cp music123.1 $(DESTDIR)$(PREFIX)/share/man/man1
 	cp music123.pl.1 $(DESTDIR)$(PREFIX)/share/man/pl/man1/music123.1
@@ -30,4 +35,5 @@
 	for i in *.mo; do mkdir -p $(DESTDIR)$(PREFIX)/share/locale/`basename $$i .mo`/LC_MESSAGES; cp $$i $(DESTDIR)$(PREFIX)/share/locale/`basename $$i .mo`/LC_MESSAGES/music123.mo; done
 
 clean:
-	-rm music123 *.o *.ali *~ b~* *.mo
+	gnatclean $(MAIN)
+	$(RM) *~ *.mo
