=== debian/changelog ===
music123 (16.3-4) unstable; urgency=low

  [Nicolas Boulenguez]
  * control: only Recommend alsa-utils on Linux architectures.
  * source/options: use default compressor for Debian diff.

  [Xavier Grave]
  * compile using gnat-4.8
  * Standards-Version: 3.9.5. Remove DM-Upload-Allowed field

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sat, 02 Nov 2013 12:48:18 +0100

music123 (16.3-3) unstable; urgency=low

  * Standard-Versions 3.9.3: updated DEP URL in copyright file.
  * debhelper 9: no changes (upstream Makefile ignores environment).
  * control: executables do not need depending on versioned gnat.
  * rules: existence of buildflags.mk guaranteed by dpkg-dev (1.16.1).
    Use dh-ada-library Makefile snippet for build flags and parralelism.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 17 May 2012 10:14:12 +0200

music123 (16.3-2) unstable; urgency=low

  * revert get-orig-source to give last upstream version as did the
    Nicolas' solution which is respecting debian-policy requirements
  * remove the minus in front of include in debian/rules
    preferred solution enclose the include in a test

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 30 Oct 2011 21:31:25 +0100

music123 (16.3-1) unstable; urgency=low

  [Nicolas Boulenguez]
  * New upstream (Closes: #572890).
  * control (Build-Depends): dpkg-dev (>= 1.16.1) to set CFLAGS.
    (Recommends): alsa-utils/aplay
    instead of esound-clients/esdplay, removed from Debian.
  * source/options: compression for debian patch.
  * rules: get-orig-source now respect debian-policy requirements,
    Debian default LDFLAGS are used.

  [Xavier Grave]
  * adapt debian/rules file to avoid pbuilder clean pass problem
  * get-orig-source now generates tar.gz file containing the changelog version
  * new upstream : task to handle commands

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Sun, 30 Oct 2011 01:40:59 +0200

music123 (16.2-3) unstable; urgency=low

  [Xavier Grave]
  * Build with gnat-4.6
  * Fix some lintian warnings
  * Enhance get-orig-source target
  * Go for debhelper 8.1.3
  * Add a patch to avoid clean target error with pbuilder

  [Nicolas Boulenguez]
  * Switched to 3.0 (quilt) source format.
  * copyright: DEP-5 compliant.
  * rules: simplified with debhelper overrides.
  * control (Uploaders): added myself.
    (Homepage): canonical domain name.
    (Standards-Version): 3.9.2
  * watch: contains only comments, no upstream tarballs outside debian.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 27 Sep 2011 12:37:59 +0200

music123 (16.2-2) unstable; urgency=low
  * 16.0-1 reached testing

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Tue, 16 Mar 2010 15:21:26 +0100

music123 (16.2-1) experimental; urgency=low
  * New upstream version.
    - use Ada.Containers.Vectors
      use temporary file list for the sort before appending
      files in a directory
    Closes: #239769.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Mon,  8 Mar 2010 10:54:20 +0100

music123 (16.0-1) unstable; urgency=low

  [Xavier Grave]
  * New upstream version.
    Closes: #444319, #437601, #541738.
  * New Maintainer taking charge with permission from the previous maintainer
    Closes: #571190.
  * separate sources from debian directory
    - with the help of monotone and www.ada-france.org
  * Architecture support changes to any.  Closes: #568449.
  * upgrade to gnat-4.4
    - build depend on gnat
    Closes: #571191.

  [Ludovic Brenta]
  * Sponsor the package.
  * DM-Upload-Allowed: yes.

 -- Xavier Grave <xavier.grave@ipno.in2p3.fr>  Thu,  4 Mar 2010 11:14:20 +0100
