=== debian/control ===
Source: music123
Section: sound
Priority: optional
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
  gnat-4.8,
  dh-ada-library,
  gettext
Maintainer: Xavier Grave <xavier.grave@ipno.in2p3.fr>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.music123
Vcs-Mtn: www.ada-france.org org.debian.music123
Homepage: http://ada-france.org:8081/branch/changes/org.music123
Standards-Version: 3.9.5

Package: music123
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: alsa-utils [linux-any], mpg321 | mpg123, vorbis-tools
Description: Command-line shell for sound-file players
 A command-line shell for programs like mpg123 and ogg123, music123
 plays a variety of sound files using a mpg123/ogg123-like interface.
 With all the Recommends installed, music123 plays wav, mp3 and
 ogg files. By simply changing the config file, music123 can play any
 sound file you have a player for.
 .
 (If you install a recent version of vorbis-tools, music123 will
 handle Ogg Flac and Ogg Speex files too.)
