=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging.mk

.PHONY:  build build-arch build-indep clean binary binary-arch binary-indep install
build build-arch build-indep clean binary binary-arch binary-indep install:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
          CFLAGS="$(ADAFLAGS)" \
          LDFLAGS="$(LDFLAGS)" \
          GNATMAKE="gnatmake $(BUILDER_OPTIONS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=usr

mtn_uri := mtn://www.ada-france.org?org.music123
orig_dir := music123.orig
orig_tgz := music123.orig.tar.gz

get-orig-source:
	TMPDIR=$$(mktemp --tmpdir --directory music123-get-orig-source-XXXXXXXXXX) && \
        mtn clone -d $$TMPDIR/db.mtn $(mtn_uri) -k "" $$TMPDIR/$(orig_dir) && \
        (cd $$TMPDIR && tar --create --gzip --exclude="_MTN" $(orig_dir)) > $(orig_tgz) ; \
        rm -rf $$TMPDIR
	@echo "The file $(orig_tgz) contains the latest Debian snapshot of upstream sources."
