## music123 16.4

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,11 @@
 MAIN             := music123
 
 GNATMAKE         := gnatmake
-CFLAGS           := -g -O2 -gnatf -gnatwa -gnaty -gnatwe
-LDFLAGS          :=
+BUILDER_OPTIONS  :=
+
+# Inherit ADAFLAGS, LDFLAGS if set in the environment.
+ADAFLAGS         ?= -g -O2 -gnatf -gnatwa -gnaty -gnatwe
+LDFLAGS          ?=
 
 GZIP_FLAGS       := --best --name
 STRIP_OPTION     :=
@@ -47,11 +50,8 @@
 ###########################################################################
 # Main executable
 
-build: $(MAIN)
-
-.PHONY: $(MAIN) # allways call gnatmake
-$(MAIN):
-	$(GNATMAKE) $@ -cargs $(CFLAGS) -largs $(LDFLAGS)
+build:
+	$(GNATMAKE) $(BUILDER_OPTIONS) $(MAIN) -cargs $(ADAFLAGS) -largs $(LDFLAGS)
 
 install::
 	install $(STRIP_OPTION) -D --mode 755 $(MAIN) $(INSTALL_BIN)/$(MAIN)
