=== debian/changelog ===
music123 (16.4-4build1) focal; urgency=medium

  * No-change rebuild for gnat-9.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2020 11:52:55 +0100

music123 (16.4-4) unstable; urgency=medium

  * Move VCS to salsa.debian.org.
  * Debhelper 12, Standards-Version 4.4.1, Rules-Requires-Root no.
  * Wrap and sort build dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 10 Dec 2019 23:01:30 +0100

music123 (16.4-3) unstable; urgency=medium

  * Debhelper 11.
  * Drop obsolete version restrictions in Build-Dependencies.
  * Set me as maintainer until someone adopts the package.
  * Update format for VCS-Mtn URL.
  * Standards-Version 4.1.4.
  * Replace watch/get-orig-source with a human-readable README.source.
  * copyright: HTTPS format URL, drop obsolete Upstream-Contact.
  * Add minimal runtime test.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 24 Apr 2018 12:56:16 +0200

music123 (16.4-2) unstable; urgency=medium

  * Rebuild with gnat-6 and all hardening flags.
  * Standards-Version: 3.9.8 (no changes)

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 17:57:22 +0200

music123 (16.4-1) unstable; urgency=medium

  * New upstream release, requiring gnat >= 4.9.
  * control: Standards-Version: 3.9.6 (no changes).
  * rules: let binary be the default target.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 20 Oct 2015 23:44:08 +0200

music123 (16.3-6) unstable; urgency=low

  * Update Debian Maintainer email address, ipno => csnsm

 -- Xavier Grave <xavier.grave@csnsm.in2p3.fr>  Mon, 28 Apr 2014 10:41:18 +0200

music123 (16.3-5) unstable; urgency=medium

  * Build-Depends: gnat with debian_packaging.mk. Closes: #746069.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 27 Apr 2014 23:56:42 +0200
