=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: music123
 Section: sound
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
-  gnat-4.8,
-  dh-ada-library,
-  gettext
-Maintainer: Xavier Grave <xavier.grave@ipno.in2p3.fr>
-Uploaders: Nicolas Boulenguez <nicolas@debian.org>
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.music123
-Vcs-Mtn: www.ada-france.org org.debian.music123
-Homepage: http://ada-france.org:8081/branch/changes/org.music123
-Standards-Version: 3.9.5
+Build-Depends:
+  debhelper-compat (= 12),
+  gettext,
+  gnat,
+Maintainer: Nicolas Boulenguez <nicolas@debian.org>
+Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>
+Vcs-Browser: https://salsa.debian.org/debian/music123
+Vcs-Git: https://salsa.debian.org/debian/music123.git
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 
 Package: music123
 Architecture: any
