=== debian/rules ===
#!/usr/bin/make -f

GNAT_VERSION := $(shell gnatgcc -dumpversion)
DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk

%:
	dh $@

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build -- $(foreach v,ADAFLAGS BUILDER_OPTIONS LDFLAGS,'$(v)=$($(v))')

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install -- PREFIX=usr
