=== debian/tests/control ===
Test-Command: music123 -h
Restrictions: allow-stderr
