## music123 16.6

=== Makefile ===
--- 
+++ 
@@ -6,21 +6,21 @@
 BUILDER_OPTIONS  :=
 
 # Inherit ADAFLAGS, LDFLAGS if set in the environment.
-ADAFLAGS         ?= -g -O2 -gnatf -gnatwa -gnaty -gnatwe
+ADAFLAGS         ?= -g -O2 -gnatf -gnatwa -gnaty
 LDFLAGS          ?=
 
 GZIP_FLAGS       := --best --name
 STRIP_OPTION     :=
 MSGFMT_FLAGS     :=
 
-DESTDIR          := /
-PREFIX           := usr/local
-INSTALL_BIN      := $(DESTDIR)/$(PREFIX)/bin
-INSTALL_DOC      := $(DESTDIR)/$(PREFIX)/share/doc/$(MAIN)
+DESTDIR          ?=
+prefix           ?= /usr
+INSTALL_BIN      := $(DESTDIR)$(prefix)/bin
+INSTALL_DOC      := $(DESTDIR)$(prefix)/share/doc/$(MAIN)
 INSTALL_ETC      := $(DESTDIR)/etc
-INSTALL_EXAMPLES := $(DESTDIR)/$(PREFIX)/share/doc/$(MAIN)/examples
-INSTALL_LOCALE   := $(DESTDIR)/$(PREFIX)/share/locale
-INSTALL_MAN      := $(DESTDIR)/$(PREFIX)/share/man
+INSTALL_EXAMPLES := $(DESTDIR)$(prefix)/share/doc/$(MAIN)/examples
+INSTALL_LOCALE   := $(DESTDIR)$(prefix)/share/locale
+INSTALL_MAN      := $(DESTDIR)$(prefix)/share/man
 
 
 # Default target.
