=== debian/changelog ===
music123 (16.6-1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 22 Apr 2020 00:04:23 +0200

music123 (16.5-1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 17 Apr 2020 20:25:13 +0200
