=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>
 Vcs-Browser: https://salsa.debian.org/debian/music123
 Vcs-Git: https://salsa.debian.org/debian/music123.git
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
 Package: music123
