=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,3 @@
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
 	dh_auto_build -- $(foreach v,ADAFLAGS BUILDER_OPTIONS LDFLAGS,'$(v)=$($(v))')
-
-.PHONY: override_dh_auto_install
-override_dh_auto_install:
-	dh_auto_install -- PREFIX=usr
